Commit ec880f1c authored by Mark Murphy's avatar Mark Murphy

update dependencies

parent cd35cdc7
......@@ -25,9 +25,10 @@ android {
dependencies {
implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"
implementation "org.jetbrains.kotlinx:kotlinx-coroutines-core:$coroutines_version"
implementation 'androidx.appcompat:appcompat:1.0.2'
implementation 'androidx.core:core-ktx:1.0.2'
implementation 'androidx.appcompat:appcompat:1.1.0'
implementation 'androidx.core:core-ktx:1.1.0'
implementation "androidx.documentfile:documentfile:1.0.1"
implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
implementation 'androidx.lifecycle:lifecycle-extensions:2.0.0'
implementation 'androidx.lifecycle:lifecycle-extensions:2.1.0'
implementation "androidx.lifecycle:lifecycle-viewmodel-ktx:$lifecycle_version"
}
......@@ -28,13 +28,19 @@ android {
sourceCompatibility 1.8
targetCompatibility 1.8
}
packagingOptions {
pickFirst 'META-INF/kotlinx-io.kotlin_module'
pickFirst 'META-INF/atomicfu.kotlin_module'
pickFirst 'META-INF/kotlinx-coroutines-io.kotlin_module'
}
}
dependencies {
implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"
implementation "org.jetbrains.kotlinx:kotlinx-coroutines-core:$coroutines_version"
implementation 'androidx.appcompat:appcompat:1.0.2'
implementation 'androidx.core:core-ktx:1.0.2'
implementation 'androidx.appcompat:appcompat:1.1.0'
implementation 'androidx.core:core-ktx:1.1.0'
implementation 'androidx.constraintlayout:constraintlayout:1.1.3'
implementation "androidx.lifecycle:lifecycle-viewmodel-ktx:$lifecycle_version"
implementation "androidx.recyclerview:recyclerview:$recyclerview_version"
......
......@@ -61,6 +61,7 @@ class ShowNotificationWorker(
val builder = NotificationCompat.Builder(appContext, CHANNEL_WHATEVER)
.setSmallIcon(R.drawable.ic_notification)
.setContentTitle("Um, hi!")
.setContentText("remove me")
.setAutoCancel(true)
.setPriority(NotificationCompat.PRIORITY_HIGH)
.setFullScreenIntent(pi, true)
......
......@@ -53,7 +53,7 @@ class MainActivity : AppCompatActivity() {
.setShortLabel(getString(tag.shortLabelRes))
.setIcon(IconCompat.createWithResource(this, tag.iconRes))
.setIntent(intent)
.setLongLived()
.setLongLived(true)
.setCategories(SHARE_CATEGORIES)
.build()
})
......
......@@ -70,7 +70,7 @@ dependencies {
implementation "androidx.lifecycle:lifecycle-viewmodel-ktx:$lifecycle_version"
implementation "androidx.lifecycle:lifecycle-livedata-ktx:$lifecycle_version"
implementation "androidx.recyclerview:recyclerview:$recyclerview_version"
implementation "androidx.fragment:fragment-ktx:1.0.0"
implementation "androidx.fragment:fragment-ktx:1.1.0"
implementation "org.koin:koin-core:$koin_version"
implementation "org.koin:koin-android:$koin_version"
implementation "org.koin:koin-androidx-viewmodel:$koin_version"
......
......@@ -32,6 +32,7 @@ import androidx.core.view.GravityCompat
import androidx.documentfile.provider.DocumentFile
import androidx.drawerlayout.widget.DrawerLayout
import androidx.fragment.app.Fragment
import androidx.fragment.app.commit
import androidx.fragment.app.transaction
import com.google.android.material.navigation.NavigationView
import kotlinx.android.synthetic.main.activity_main.*
......@@ -164,7 +165,7 @@ class MainActivity : AbstractPermissionActivity() {
}
private fun navTo(itemId: Int) {
supportFragmentManager.transaction {
supportFragmentManager.commit {
replace(
R.id.frame,
fragments.getOrElse(itemId) { createFragment(itemId) })
......
apply plugin: 'com.android.application'
apply plugin: 'kotlin-android'
apply plugin: 'kotlin-android-extensions'
apply plugin: 'kotlin-kapt'
android {
compileSdkVersion 29
......@@ -28,7 +29,7 @@ android {
dependencies {
implementation "org.jetbrains.kotlin:kotlin-stdlib-jdk7:$kotlin_version"
implementation "org.jetbrains.kotlinx:kotlinx-coroutines-core:$coroutines_version"
implementation "androidx.appcompat:appcompat:1.1.0-beta01"
implementation "androidx.appcompat:appcompat:1.1.0"
implementation "androidx.constraintlayout:constraintlayout:$constraintlayout_version"
implementation "androidx.cardview:cardview:$cardview_version"
implementation "androidx.lifecycle:lifecycle-viewmodel-ktx:$lifecycle_version"
......
buildscript {
ext.kotlin_version = '1.3.41'
ext.kotlin_version = '1.3.50'
ext.nav_version = '2.0.0'
repositories {
......@@ -8,7 +8,7 @@ buildscript {
}
dependencies {
classpath 'com.android.tools.build:gradle:3.4.2'
classpath 'com.android.tools.build:gradle:3.5.2'
classpath "org.jetbrains.kotlin:kotlin-gradle-plugin:$kotlin_version"
classpath "androidx.navigation:navigation-safe-args-gradle-plugin:$nav_version"
}
......@@ -26,16 +26,16 @@ task clean(type: Delete) {
}
ext {
appcompat_version = "1.0.2"
appcompat_version = "1.1.0"
cardview_version = "1.0.0"
constraintlayout_version = "1.1.3"
coroutines_version = "1.2.0"
coroutines_version = "1.3.0"
drawer_version = "1.0.0"
koin_version = "1.0.2"
lifecycle_version = "2.1.0-beta01"
preference_version = "1.0.0"
lifecycle_version = "2.1.0"
preference_version = "1.1.0"
recyclerview_version = "1.0.0"
sharetarget_version = "1.0.0-alpha02"
sharetarget_version = "1.0.0-beta02"
slice_version = "1.0.0"
viewpager_version = "1.0.0"
work_version = "2.0.1"
......
#Sat Apr 20 09:19:03 EDT 2019
#Mon Sep 02 13:39:57 EDT 2019
distributionBase=GRADLE_USER_HOME
distributionPath=wrapper/dists
zipStoreBase=GRADLE_USER_HOME
zipStorePath=wrapper/dists
distributionUrl=https\://services.gradle.org/distributions/gradle-5.1.1-all.zip
distributionUrl=https\://services.gradle.org/distributions/gradle-5.4.1-all.zip
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment